Subject: Re: [PATCH v1 1/8] compat/terminal: let prompt accept input from pipe

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 May 2021 14:25:16 +0900

Jeff King <[email-masked]> writes:

>> For testing, wouldn't lib-terminal.sh be usable for your purpose?
>> If not, what is the reason why it is insufficient?  Can we fix that
>> instead?
>
> That doesn't work, because it insists on reading from /dev/tty and not
> the pty that lib-terminal will set up as stdin. But...

I somehow thought that lib-terminal was a bit more complete in that
it would make the pty we allocate to the controlling terminal for
the process that runs the test program.  Sigh.